Last modified: 2012-09-27 01:11:04 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 28377 - Notice: Undefined index: text in /w/skins/Vector.php on line 763
Notice: Undefined index: text in /w/skins/Vector.php on line 763
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Interface (Other open bugs)
1.17.x
All All
: Normal normal (vote)
: ---
Assigned To: Trevor Parscal
: patch, patch-reviewed
Depends on:
Blocks: 26676
  Show dependency treegraph
 
Reported: 2011-04-01 23:42 UTC by Sam Reed (reedy)
Modified: 2012-09-27 01:11 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Ldap No logout patch for MW 1.17 (395 bytes, patch)
2011-04-06 15:47 UTC, Solitarius
Details

Comment 2 Trevor Parscal 2011-04-04 19:37:59 UTC
Does anyone know under what conditions this occurs? There would have to be someone appending to the links arrays, but not providing enough information, in this case the 'text' element.

It's easy to just case this out and call it solved, but I'm pretty sure that will only make the code more complex without addressing the actual issue, which is the abuse of the links array, probably through a hook.
Comment 3 Sam Reed (reedy) 2011-04-04 23:09:17 UTC
If I had my 1.17 wiki working *cough*chad*cough*, I'd try and poke it

The guy had weird extensions like ExternalData and such installed...
Comment 4 Solitarius 2011-04-06 07:29:52 UTC
Commenting the following line in LocalSettings.php make the error disappear.


require_once("$IP/extensions/LdapAuthentication/LdapAuthentication.php");

$wgAuth = new LdapAuthenticationPlugin();
$wgLDAPDomainNames        = array('Novell eDirectory');
$wgLDAPServerNames        = array('Novell eDirectory' => '*******');
$wgLDAPSearchAttributes   = array('Novell eDirectory' => 'uid');
$wgLDAPEncryptionType     = array('Novell eDirectory' => 'ssl');
$wgLDAPProxyAgent         = array('Novell eDirectory' => 'cn=*****');
$wgLDAPProxyAgentPassword = array('Novell eDirectory' => '*****');
$wgLDAPUseLocal           = true;

# LDAP AutoAuthentication 
require_once("$IP/extensions/LdapAuthentication/LdapAutoAuthentication.php");
$wgLDAPAutoAuthDomain = 'Novell eDirectory';
$wgLDAPAutoAuthUsername = $_SERVER["PHP_AUTH_USER"];
if ( true ) { AutoAuthSetup(); }
Comment 5 Solitarius 2011-04-06 07:49:24 UTC
Furthermore, it's this hook that seem to be the root of the problem:

$wgHooks['PersonalUrls'][] = 'LdapAutoAuthentication::NoLogout'; /* Disallow logout link */

http://svn.wikimedia.org/viewvc/mediawiki/trunk/extensions/LdapAuthentication/LdapAutoAuthentication.php?view=markup&pathrev=84238#l94

I hope it will help you. Best regards.
Comment 6 Sam Reed (reedy) 2011-04-06 12:55:54 UTC
CC'ing Ryan
Comment 7 Sam Reed (reedy) 2011-04-06 12:58:08 UTC
	/* No logout link in MW */
	static function NoLogout( &$personal_urls, $title ) {
		global $wgAuth;
		$wgAuth->printDebug( "Entering NoLogout.", NONSENSITIVE );

		$personal_urls['logout'] = null;

		return true;
	}
Comment 8 Roan Kattouw 2011-04-06 13:01:30 UTC
(In reply to comment #7)
>         $personal_urls['logout'] = null;
> 
Should use unset( $personal_urls['logout'] );  I guess
Comment 9 Sam Reed (reedy) 2011-04-06 13:02:43 UTC
Solitarius, would you mind testing this for us?

I don't have a working Ldap setup at the moment....
Comment 10 Solitarius 2011-04-06 15:47:42 UTC
Created attachment 8382 [details]
Ldap No logout patch for MW 1.17

Patch from Comment #8 from Roan
Comment 11 Solitarius 2011-04-06 15:48:40 UTC
Yes, the solution work well. I'm attaching a patch so I can tag the bug.

Thanks for all your help everyone!
Comment 12 Sam Reed (reedy) 2011-04-06 15:52:17 UTC
r85544
Comment 13 Sam Reed (reedy) 2011-04-06 15:58:24 UTC
Seems to be only Ryan being bad

Thanks!

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links